Package org.jcsp.net.dynamic

# Interface NamedMigratableChannelEndFactory

All Known Implementing Classes:
  `NamedMigratableChannelEndFactoryImpl`

public interface NamedMigratableChannelEndFactory
Factory interface for creating migratable networked channel input ends using a CNS service.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`MigratableAltingChannelInput`
`createNet2One(String name)`
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.
`MigratableAltingChannelInput`
`createNet2One(String name, NameAccessLevel nameAccessLevel)`
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.
`MigratableChannelOutput`
`createOne2Net(String name)`
Creates a networked migratable channel output end connected to the input end created with the given name.
`MigratableChannelOutput`
`createOne2Net(String name, NameAccessLevel accessLevel)`
Creates a networked migratable channel output end connected to the input end created with the given name.

## Method Details

### createNet2One

MigratableAltingChannelInput createNet2One(String name)
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.

Parameters:
  `name` - the name to use.
Returns:
  the created channel end.

### createNet2One

MigratableAltingChannelInput createNet2One(String name, NameAccessLevel nameAccessLevel)
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.

Parameters:
  `name` - the name to use.
  `nameAccessLevel` - the namespace to declare the name within.
Returns:
  the created channel end.

### createOne2Net

MigratableChannelOutput createOne2Net(String name)
Creates a networked migratable channel output end connected to the input end created with the given name.

Parameters:
  `name` - the name the input end was created with.
Returns:
  the created channel end.

### createOne2Net

MigratableChannelOutput createOne2Net(String name, NameAccessLevel accessLevel)
Creates a networked migratable channel output end connected to the input end created with the given name.

Parameters:
  `name` - the name the input end was created with.
Returns:
  the created channel end.